[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

r1077 - in glibc-package/trunk/debian: . patches



Author: schizo
Date: 2005-12-28 18:20:47 +0000 (Wed, 28 Dec 2005)
New Revision: 1077

Added:
   glibc-package/trunk/debian/patches/glibc-235-ia64-binutils.dpatch
   glibc-package/trunk/debian/patches/glibc-235-sparc-datastart.dpatch
   glibc-package/trunk/debian/patches/ia64-binutils-libm.dpatch
Modified:
   glibc-package/trunk/debian/changelog
   glibc-package/trunk/debian/patches/00list
Log:
  * Steal glibc-235-sparc-datastart.dpatch from Ubuntu.
  * Steal glibc-235-ia64-binutils.dpatch from Ubuntu.
  * Steal ia64 libm symbol patch from Ubuntu.


Modified: glibc-package/trunk/debian/changelog
===================================================================
--- glibc-package/trunk/debian/changelog	2005-12-28 12:10:50 UTC (rev 1076)
+++ glibc-package/trunk/debian/changelog	2005-12-28 18:20:47 UTC (rev 1077)
@@ -20,11 +20,16 @@
   * Merge patch from upstream CVS (courtesy Ulrich Drepper) to fix
     problems with accuracy of tanh and related functions, per request of
     Rafael Laboissiere.  (Closes: #328504)
-  * Add "validlocale" program (ex base-config) to locales package, per 
+  * Add "validlocale" program (ex base-config) to locales package, per
     request of Joey Hess.  (Closes: #344954)
 
- -- GOTO Masanori <gotom@debian.org>  Tue, 20 Dec 2005 09:51:34 +0900
+  [ Clint Adams ]
+  * Steal glibc-235-sparc-datastart.dpatch from Ubuntu.
+  * Steal glibc-235-ia64-binutils.dpatch from Ubuntu.
+  * Steal ia64 libm symbol patch from Ubuntu.
 
+ -- Clint Adams <schizo@debian.org>  Wed, 28 Dec 2005 13:18:56 -0500
+
 glibc (2.3.5-9) unstable; urgency=low
 
   [ Daniel Jacobowitz ]

Modified: glibc-package/trunk/debian/patches/00list
===================================================================
--- glibc-package/trunk/debian/patches/00list	2005-12-28 12:10:50 UTC (rev 1076)
+++ glibc-package/trunk/debian/patches/00list	2005-12-28 18:20:47 UTC (rev 1077)
@@ -98,3 +98,6 @@
 strfry-segv
 powerpc-executable-got
 ctan
+glibc-235-sparc-datastart
+glibc-235-ia64-binutils
+ia64-binutils-libm

Added: glibc-package/trunk/debian/patches/glibc-235-ia64-binutils.dpatch
===================================================================
--- glibc-package/trunk/debian/patches/glibc-235-ia64-binutils.dpatch	2005-12-28 12:10:50 UTC (rev 1076)
+++ glibc-package/trunk/debian/patches/glibc-235-ia64-binutils.dpatch	2005-12-28 18:20:47 UTC (rev 1077)
@@ -0,0 +1,59 @@
+#! /bin/sh -e
+
+# All lines beginning with `# DP:' are a description of the patch.
+# DP: Description: Allow glibc to build with binutils 2.16 on ia64
+# DP: Related bugs: 
+# DP: Dpatch author: Jeff Bailey
+# DP: Patch author: HJ Lu
+# DP: Upstream status: In CVS
+# DP: Status Details: CVS HEAD
+# DP: Date: 2005-05-22
+
+PATCHLEVEL=1
+
+if [ $# -ne 2 ]; then
+    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+    exit 1
+fi
+case "$1" in
+    -patch) patch -d "$2" -f --no-backup-if-mismatch -p$PATCHLEVEL < $0;;
+    -unpatch) patch -d "$2" -f --no-backup-if-mismatch -R -p$PATCHLEVEL < $0;;
+    *)
+	echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+	exit 1
+esac
+exit 0
+
+# append the patch here and adjust the -p? flag in the patch calls.
+Index: initfini.c
+===================================================================
+RCS file: /cvs/glibc/libc/sysdeps/ia64/elf/initfini.c,v
+retrieving revision 1.7
+retrieving revision 1.8
+diff -u -p -r1.7 -r1.8
+--- libc/sysdeps/ia64/elf/initfini.c	16 Aug 2004 04:51:00 -0000	1.7
++++ libc/sysdeps/ia64/elf/initfini.c	20 Mar 2005 04:21:08 -0000	1.8
+@@ -116,13 +116,14 @@ __asm__ (".section .init\n"
+ "/*@_init_PROLOG_ENDS*/\n"
+ "\n"
+ "/*@_init_EPILOG_BEGINS*/\n"
++"	.section .init\n"
+ "	.proc _init#\n"
++"_init:\n"
+ "	.prologue\n"
+ "	.save ar.pfs, r34\n"
+ "	.vframe r32\n"
+ "	.save rp, r33\n"
+ "	.body\n"
+-"	.section .init\n"
+ "	.regstk 0,2,0,0\n"
+ "	mov r12 = r32\n"
+ "	mov ar.pfs = r34\n"
+@@ -155,6 +156,7 @@ __asm__ (".section .init\n"
+ "/*@_fini_EPILOG_BEGINS*/\n"
+ "	.section .fini\n"
+ "	.proc _fini#\n"
++"_fini:\n"
+ "	.prologue\n"
+ "	.save ar.pfs, r34\n"
+ "	.vframe r32\n"

Added: glibc-package/trunk/debian/patches/glibc-235-sparc-datastart.dpatch
===================================================================
--- glibc-package/trunk/debian/patches/glibc-235-sparc-datastart.dpatch	2005-12-28 12:10:50 UTC (rev 1076)
+++ glibc-package/trunk/debian/patches/glibc-235-sparc-datastart.dpatch	2005-12-28 18:20:47 UTC (rev 1077)
@@ -0,0 +1,58 @@
+#! /bin/sh -e
+
+# All lines beginning with `# DP:' are a description of the patch.
+# DP: Description: Define __data_start on Sparc
+# DP: Related bugs: 
+# DP: Dpatch author: Jeff Bailey <jbailey@ubuntu.com>
+# DP: Patch author: David S. Miller <davem@davemloft.net>
+# DP: Upstream status: In CVS 
+# DP: Status Details: CVS HEAD
+# DP: Date: 2005-06-15
+
+PATCHLEVEL=0
+
+if [ $# -ne 2 ]; then
+    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+    exit 1
+fi
+case "$1" in
+    -patch) patch -d "$2" -f --no-backup-if-mismatch -p$PATCHLEVEL < $0;;
+    -unpatch) patch -d "$2" -f --no-backup-if-mismatch -R -p$PATCHLEVEL < $0;;
+    *)
+	echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+	exit 1
+esac
+exit 0
+
+# append the patch here and adjust the -p? flag in the patch calls.
+
+2005-04-17  David S. Miller  <davem@davemloft.net>
+
+        * sysdeps/sparc/sparc32/elf/start.S: Define __data_start.
+        * sysdeps/sparc/sparc64/elf/start.S: Likewise.
+
+--- sysdeps/sparc/sparc32/elf/start.S	2005-06-15 16:46:11.000000000 +0000
++++ sysdeps/sparc/sparc32/elf/start.S	2005-06-15 16:50:11.000000000 +0000
+@@ -92,3 +92,9 @@
+ 	unimp
+ 
+ 	.size _start, .-_start
++
++  /* Define a symbol for the first piece of initialized data.  */
++	.data
++	.globl  __data_start
++__data_start:
++weak_alias (__data_start, data_start)
+--- sysdeps/sparc/sparc64/elf/start.S   16 Aug 2004 04:51:01 -0000      1.7
++++ sysdeps/sparc/sparc64/elf/start.S   17 Apr 2005 21:14:45 -0000
+@@ -93,3 +93,9 @@ _start:
+	illtrap 0
+ 
+	.size _start, .-_start
++
++/* Define a symbol for the first piece of initialized data.  */
++	.data
++	.globl  __data_start
++__data_start:
++weak_alias (__data_start, data_start)
+

Added: glibc-package/trunk/debian/patches/ia64-binutils-libm.dpatch
===================================================================
--- glibc-package/trunk/debian/patches/ia64-binutils-libm.dpatch	2005-12-28 12:10:50 UTC (rev 1076)
+++ glibc-package/trunk/debian/patches/ia64-binutils-libm.dpatch	2005-12-28 18:20:47 UTC (rev 1077)
@@ -0,0 +1,46 @@
+#! /bin/sh -e
+
+# All lines beginning with `# DP:' are a description of the patch.
+# DP: Description: Fix compilation against new binutils.
+# DP: Related bugs: 
+# DP: Dpatch author: Jeff Bailey
+# DP: Patch author: HJ Lu
+# DP: Upstream status: Pending
+# DP: Status Details:
+# DP: Date: 2005-16-11
+
+PATCHLEVEL=1
+
+if [ $# -ne 2 ]; then
+    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+    exit 1
+fi
+case "$1" in
+    -patch) patch -d "$2" -f --no-backup-if-mismatch -p$PATCHLEVEL < $0;;
+    -unpatch) patch -d "$2" -f --no-backup-if-mismatch -R -p$PATCHLEVEL < $0;;
+    *)
+    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+    exit 1
+esac
+exit 0
+
+# append the patch here and adjust the -p? flag in the patch calls.
+
+--- libc/sysdeps/ia64/fpu/libm-symbols.h.old	2005-11-23 13:05:39.995400701 +0000
++++ libc/sysdeps/ia64/fpu/libm-symbols.h	2005-11-23 13:35:31.474921420 +0000
+@@ -39,13 +39,13 @@
+ 
+ #define WEAK_LIBM_ENTRY(name)			\
+ 	.align 32;				\
+-	LOCAL_LIBM_ENTRY(name);			\
++	LOCAL_LIBM_ENTRY(__##name);		\
+ 	.global __##name;			\
+  __##name:
+ #define WEAK_LIBM_END(name)			\
+  weak_alias (__##name, name);			\
+  .hidden __##name;				\
+-	LOCAL_LIBM_END(name);			\
++	LOCAL_LIBM_END(__##name);		\
+  ASM_SIZE_DIRECTIVE(__##name);			\
+  ASM_TYPE_DIRECTIVE(__##name, @function)
+ 



Reply to: